Syncfusion Feedback


Overview

The Angular column chart is the most common chart type used to compare frequency, count, total, or average of data in different categories. It is ideal for showing variations in the value of an item over time.


Multiple series

Plot multiple series in a single chart to compare different data sets. Enabling the legend and tooltip gives readers more information about the individual series.


Markers

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data labels

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Back-to-back column chart

Plot data bi-directionally to compare and analyze the values clearly.


Spacing and width

Customize the spacing between two bars and the widths of the bars.


Rounded corners

Modernize the UI by applying rounded corners to the column chart.


Grouped column

Group a series with another series by giving the group a different name.


Cylindrical columns

Modernize the UI by displaying value as cylindrical-shaped data points.


Customization

Customize the look and feel of the column chart using built-in APIs.


Angular column chart code example

Easily get started with the Angular column chart using a few simple lines of HTML and TypeScript code, as demonstrated below. Also explore our Angular column chart example that shows you how to render and configure the charts.

  1. <ejs-chart style='display:block' id='chartcontainer' [primaryXAxis]='primaryXAxis'>
  2. <e-series-collection>
  3. <e-series [dataSource]='data' type='Column' xName='x' yName='y'> </e-series>
  4. </e-series-collection>
  5. </ejs-chart>
  1. import { Component } from '@angular/core';
  2. export class AppComponent {
  3. public data: Object[] = [
  4. { x: 'GER', y: 172 },
  5. { x: 'RUS', y: 300 },
  6. { x: 'BRZ', y: 239 },
  7. { x: 'IND', y: 462 },
  8. { x: 'CHN', y: 621 },
  9. ];
  10. //Initializing Primary X Axis
  11. public primaryXAxis: Object = {
  12. valueType: 'Category',
  13. };
  14. }
  15.  
  16. //app.module.ts
  17.  
  18. import { ChartModule } from '@syncfusion/ej2-ng-charts';
  19. import { ColumnSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
  20. import { AppComponent } from './app.component';
  21.  
  22. @NgModule({
  23. declarations: [
  24. AppComponent
  25. ],
  26. imports: [
  27. BrowserModule, ChartModule
  28. ],
  29. providers: [ ColumnSeriesService, CategoryService],
  30. bootstrap: [AppComponent]
  31. })
  32. export class AppModule { }

Learning resources

UG

Column Chart User Guide

Learn the available options to customize Angular column charts.

API

Column chart API reference

Explore the Angular column chart APIs.

90+ ANGULAR UI COMPONENTS

Scroll up icon
Chat with us

Syncfusion Feedback


Overview

The React column chart is the most common chart type used to compare frequency, count, total, or average of data in different categories. It is ideal for showing variations in the value of an item over time.


Multiple series

Plot multiple series in a single chart to compare different data sets. Enabling the legend and tooltip gives readers more information about the individual series.


Markers

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data labels

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Back-to-back column chart

Plot data bi-directionally to compare and analyze the values clearly.


Spacing and width

Customize the spacing between two bars and the widths of the bars.


Rounded corners

Modernize the UI by applying rounded corners to the column chart.


Grouped column

Group a series with another series by giving the group a different name.


Cylindrical columns

Modernize the UI by displaying value as cylindrical-shaped data points.


Customization

Customize the look and feel of the column chart using built-in APIs.


React column chart code example

Easily get started with the React column chart using a few simple lines of HTML and JS code, as demonstrated below. Also explore our React column chart example that shows you how to render and configure the charts.

  1. <!DOCTYPE html>
  2. <html>
  3.  
  4. <body>
  5. <div id="charts"></div>
  6. </body>
  7.  
  8. </html>
  1. import {AxisModel,Category, ChartComponent, ColumnSeries, Inject, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
  2. import * as React from 'react';
  3. class App extends React.Component<{}, {}> {
  4. public primaryXAxis: AxisModel = { valueType: 'Category'};
  5. public data1 : any[]= [
  6. { x: 'GER', y: 172 },
  7. { x: 'RUS', y: 300 },
  8. { x: 'BRZ', y: 239 },
  9. { x: 'IND', y: 462 },
  10. { x: 'CHN', y: 621 },
  11. ];
  12.  
  13. public render() {
  14. return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
  15. <Inject services={[ColumnSeries, Category]} />
  16. <SeriesCollectionDirective>
  17. <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='Column'/>
  18. </SeriesCollectionDirective>
  19. </ChartComponent>
  20. }
  21. };
  22. ReactDOM.render(
  23. <App />,
  24. document.getElementById('charts') as HTMLElement
  25. );

Learning resources

UG

Column Chart User Guide

Learn the available options to customize React column charts.

API

Column chart API reference

Explore the React column chart APIs.

90+ REACT UI COMPONENTS

Scroll up icon
Chat with us